buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stephen Duncan Jr" <stephen.dun...@gmail.com>
Subject Re: Maven dependencies
Date Tue, 26 Feb 2008 21:15:06 GMT
There is (experimental) support in buildr for transitive dependency
support.  You must use it explicitly though:

compile.with(transitive('org.hibernate:hibernate-annotations:jar:3.3.0.ga'))

(That's my understanding of the current state of things after asking about
it a little while ago)

-Stephen

On Tue, Feb 26, 2008 at 4:08 PM, Hagen Overdick <sixtus@gmail.com> wrote:

> Hello all,
>
> forced back into java world, I'd at least like to use buildr.
>
> However, I notice that
> compile.with(''org.hibernate:hibernate-annotations:jar:3.3.0.ga')
> installs this jar only, while I'd expect it to install this and all
> it's dependencies.
>
> Do I really have to specify them each manually? That defeats the
> purpose, doesn't it.
>
> Please just tell me I am doing something horribly wrong, didn't find
> anything suitable via google nor the archive.
>
> Cheers,
>
> Hagen
> --
> Dissertations are a successful walk through a minefield -- summarizing
> them is not. - Roy Fielding
>



-- 
Stephen Duncan Jr
www.stephenduncanjr.com

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message